<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html"/>

  <xsl:template match="/">
    <html>
	<body>
  	  <h1>Agenda</h1>
	    <xsl:apply-templates select="/agenda/evenement"></xsl:apply-templates>
				
	</body>
    </html>
  </xsl:template>
	
  <xsl:template match="evenement">	
    <ul>
	<li>
	  <b>contact: </b> <xsl:value-of select="idcontact"/><br/>
	  <b>date: </b> <xsl:value-of select="date"/><br/>
	  <b>heure:</b><xsl:value-of select="heure"/><br/>
	  <xsl:apply-templates select="./duree"></xsl:apply-templates>
	  <b>objet:</b><xsl:value-of select="objet"/><br/>
	  <xsl:apply-templates select="./lieu"></xsl:apply-templates>
	</li>
    </ul> 
  </xsl:template>

  <xsl:template match="duree">
    <b>durée:</b><xsl:value-of select="."/><br/>
  </xsl:template>

  <xsl:template match="lieu">
    <b>lieu:</b><xsl:value-of select="."/><br/>
  </xsl:template>
</xsl:stylesheet>


