package modeles;

/**
 * Classe representant les numeros de telephone
 * @author erik helsens
 */
public class Numero {
	/**
	 * le type de numero (mobile, fixe, travail, autre)
	 */
	private String type;
	/**
	 * le numero
	 */
	private String numero;
	
	/**
	 * Constructeur
	 * @param t le type de numero
	 * @param n le numero
	 */
	public Numero(String t, String n) {
		this.type = t;
		this.numero = n;
	}
	
	public String toString(){
		return type+": "+numero;
	}

	public String getType() {
		return type;
	}

	public String getNumero() {
		return numero;
	}
}
