package vues;

import java.util.Calendar;
import java.util.GregorianCalendar;

/**
 * Classe comportant des outils utilises dans la vue
 * @author erik helsens
 */
public class VueTools {
	
	public static String getDateStringOfGregorianCalendar(GregorianCalendar gc) {
		String strJour = gc.get(Calendar.DATE)+"";
		if (gc.get(Calendar.DATE) < 10)
			strJour = "0"+strJour;
		int mois = gc.get(Calendar.MONTH)+1;
		String strMois = mois+"";
		if (gc.get(Calendar.MONTH)+1 < 10)
			strMois = "0"+mois;
		return strJour+"/"+strMois+"/"+gc.get(Calendar.YEAR);
	}

	
	public static String getShortDateStringOfGregorianCalendar(GregorianCalendar gc) {
		int month = gc.get(Calendar.MONTH)+1;
		return gc.get(Calendar.DATE)+"/"+month;
	}
}
